# Generated by rust2rpm 27
# * tests must be built for *-unknown-uefi target
%bcond check 0
%global debug_package %{nil}

%global crate uefi

Name:           rust-uefi
Version:        0.35.0
Release:        %autorelease
Summary:        Safe, convenient, and performant abstractions for UEFI

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/uefi
Source:         %{crates_source}
# * Include repo tarball because the crate includes a file (device_path_gen.rs)
#   generated by xtask.
Source2:        https://github.com/rust-osdev/uefi-rs/archive/uefi-v%{version}/uefi-%{version}.tar.gz
# Manually created patch for downstream crate metadata changes
# * Unpin uguid version. Upstream does this for MSRV reasons, this is not needed
#   in fedora.
Patch:          uefi-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
This crate makes it easy to develop Rust software that leverages safe,
convenient, and performant abstractions for UEFI functionality.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+alloc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+alloc-devel %{_description}

This package contains library source intended for building other packages which
use the "alloc" feature of the "%{crate}" crate.

%files       -n %{name}+alloc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+global_allocator-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+global_allocator-devel %{_description}

This package contains library source intended for building other packages which
use the "global_allocator" feature of the "%{crate}" crate.

%files       -n %{name}+global_allocator-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+log-debugcon-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+log-debugcon-devel %{_description}

This package contains library source intended for building other packages which
use the "log-debugcon" feature of the "%{crate}" crate.

%files       -n %{name}+log-debugcon-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+logger-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+logger-devel %{_description}

This package contains library source intended for building other packages which
use the "logger" feature of the "%{crate}" crate.

%files       -n %{name}+logger-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+panic_handler-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+panic_handler-devel %{_description}

This package contains library source intended for building other packages which
use the "panic_handler" feature of the "%{crate}" crate.

%files       -n %{name}+panic_handler-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unstable-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unstable-devel %{_description}

This package contains library source intended for building other packages which
use the "unstable" feature of the "%{crate}" crate.

%files       -n %{name}+unstable-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
%autochangelog
